Bug 809146 (CVE-2012-1902)

Summary: CVE-2012-1902 phpMyAdmin: path disclosure flaw (PMASA-2012-2)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: redhat-bugzilla, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120328,reported=20120402,source=suse,cvss2=2.6/AV:N/AC:H/Au:N/C:P/I:N/A:N,fedora-all/phpMyAdmin=affected,epel-5/phpMyAdmin3=affected,epel-6/phpMyAdmin=affected,openshift-1/rhc-node=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-02 21:41:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 809149, 809150, 809151, 809153    
Bug Blocks:    

Description Vincent Danen 2012-04-02 15:28:41 UTC
It was reported that phpMyAdmin 3.4.x suffers from a path disclosure flaw due to the missing verification of a file's presence.  The show_config_errors.php script did not first check for the existence of the configuration file, so if the configuration file did not exist, it would display an error message with the full path of this file.

For the error message to be displayed, the server must be configured to have error_reporting set to E_ALL and display_errors to On in php.ini; these settings are not recommended for a production PHP server.

This has been corrected in 3.4.10.2 via the following commit:

https://github.com/phpmyadmin/phpmyadmin/commit/c51817d3b8cb05ff54dca9373c0667e29b8498d4


External References:

http://www.phpmyadmin.net/home_page/security/PMASA-2012-2.php

Comment 1 Vincent Danen 2012-04-02 15:30:06 UTC
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 809149]
Affects: epel-6 [bug 809151]

Comment 2 Vincent Danen 2012-04-02 15:30:09 UTC
Created phpMyAdmin3 tracking bugs for this issue

Affects: epel-5 [bug 809150]

Comment 4 Fedora Update System 2012-04-30 18:33:32 UTC
phpMyAdmin-3.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-04-30 18:34:41 UTC
phpMyAdmin3-3.5.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-05-01 00:49:10 UTC
phpMyAdmin-3.5.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-05-01 00:55:42 UTC
phpMyAdmin-3.5.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-05-02 04:49:09 UTC
phpMyAdmin-3.5.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.